;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Copyright (C) 2007 L.Manten
;*********************************************************************

#define __SFR_OFFSET 0
.nolist
#include "avr\io.h"
.list

#define        low(a)     lo8(a)
#define        high(a)    hi8(a)

.data

.nolist

.org 0x55                           ; if you want to use ram from address 0x55
buffer:                             ; create a buffer of 100 byte 
.rept          100
.byte          0
.endr

.list

.text
           rjmp    CopyToBuffer     ; jump to program start.

.org 0x40                           ; if you want to use flash address 0x40 + x for text string

copyright:
.ascii         "----- (c) 2007 Ludger Manten -----"         
.byte          0

.org 0x80                           ; if you want to use flash address 0x80 as start address of program
CopyToBuffer:
           ldi ZH, high(copyright)
           ldi ZL, low(copyright)
           ldi     YH,high(buffer)
           ldi     YL,low(buffer)

CB001:
           lpm     r0, Z+
           st      Y+, r0
           tst     r0
           brne    CB001
END:       rjmp    END                   ; forever
